package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasArcTlsStudents implements Serializable {
    /**
     * ID
     *
     * @mbg.generated
     */
    @Schema(description = "ID")
    private Integer id;

    /**
     * 对应的文件档案号
     *
     * @mbg.generated
     */
    @Schema(description = "对应的文件档案号")
    private String archiveNumber;

    /**
     * 归属的学员档案号
     *
     * @mbg.generated
     */
    @Schema(description = "归属的学员档案号")
    private String studentNumber;

    /**
     * 学生姓名
     *
     * @mbg.generated
     */
    @Schema(description = "学生姓名")
    private String studentName;

    /**
     * 学生性别
     *
     * @mbg.generated
     */
    @Schema(description = "学生性别")
    private String gender;

    /**
     * 学生出生日期
     *
     * @mbg.generated
     */
    @Schema(description = "学生出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date birthdate;

    /**
     * 学生居住地址
     *
     * @mbg.generated
     */
    @Schema(description = "学生居住地址")
    private String address;

    /**
     * 学生联系电话
     *
     * @mbg.generated
     */
    @Schema(description = "学生联系电话")
    private String phone;

    /**
     * 学生电子邮箱
     *
     * @mbg.generated
     */
    @Schema(description = "学生电子邮箱")
    private String email;

    /**
     * 学生入学进入培训班日期
     *
     * @mbg.generated
     */
    @Schema(description = "学生入学进入培训班日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date enrollmentDate;

    /**
     * 学生在培训班毕业日期
     *
     * @mbg.generated
     */
    @Schema(description = "学生在培训班毕业日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date graduationDate;

    /**
     * 学生年级
     *
     * @mbg.generated
     */
    @Schema(description = "学生年级")
    private Integer grade;

    /**
     * 学生专业
     *
     * @mbg.generated
     */
    @Schema(description = "学生专业")
    private String major;

    /**
     * 学生辅修专业
     *
     * @mbg.generated
     */
    @Schema(description = "学生辅修专业")
    private String minor;

    /**
     * 学生所在学校
     *
     * @mbg.generated
     */
    @Schema(description = "学生所在学校")
    private String university;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 招生老师
     *
     * @mbg.generated
     */
    @Schema(description = "招生老师")
    private Integer admissionsId;

    /**
     * 直属负责人ID
     *
     * @mbg.generated
     */
    @Schema(description = "直属负责人ID")
    private Integer managerId;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    /**
     * 学生身份证号
     *
     * @mbg.generated
     */
    @Schema(description = "学生身份证号")
    private String studentIdnumber;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getArchiveNumber() {
        return archiveNumber;
    }

    public void setArchiveNumber(String archiveNumber) {
        this.archiveNumber = archiveNumber == null ? null : archiveNumber.trim();
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber == null ? null : studentNumber.trim();
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName == null ? null : studentName.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public Date getEnrollmentDate() {
        return enrollmentDate;
    }

    public void setEnrollmentDate(Date enrollmentDate) {
        this.enrollmentDate = enrollmentDate;
    }

    public Date getGraduationDate() {
        return graduationDate;
    }

    public void setGraduationDate(Date graduationDate) {
        this.graduationDate = graduationDate;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major == null ? null : major.trim();
    }

    public String getMinor() {
        return minor;
    }

    public void setMinor(String minor) {
        this.minor = minor == null ? null : minor.trim();
    }

    public String getUniversity() {
        return university;
    }

    public void setUniversity(String university) {
        this.university = university == null ? null : university.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getAdmissionsId() {
        return admissionsId;
    }

    public void setAdmissionsId(Integer admissionsId) {
        this.admissionsId = admissionsId;
    }

    public Integer getManagerId() {
        return managerId;
    }

    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public String getStudentIdnumber() {
        return studentIdnumber;
    }

    public void setStudentIdnumber(String studentIdnumber) {
        this.studentIdnumber = studentIdnumber == null ? null : studentIdnumber.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", archiveNumber=").append(archiveNumber);
        sb.append(", studentNumber=").append(studentNumber);
        sb.append(", studentName=").append(studentName);
        sb.append(", gender=").append(gender);
        sb.append(", birthdate=").append(birthdate);
        sb.append(", address=").append(address);
        sb.append(", phone=").append(phone);
        sb.append(", email=").append(email);
        sb.append(", enrollmentDate=").append(enrollmentDate);
        sb.append(", graduationDate=").append(graduationDate);
        sb.append(", grade=").append(grade);
        sb.append(", major=").append(major);
        sb.append(", minor=").append(minor);
        sb.append(", university=").append(university);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", admissionsId=").append(admissionsId);
        sb.append(", managerId=").append(managerId);
        sb.append(", createUid=").append(createUid);
        sb.append(", studentIdnumber=").append(studentIdnumber);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}